<?php 
/*
Template Name:Company Page
*/ 
get_header(); ?>

 <!-- Banner -->
 <div class="rest-banner">
      <img src="<?php the_post_thumbnail_url();?>" alt="">
      <div class="rest-content">
         <span><?php the_title();?></span>
      </div>
   </div>

   <!-- About Us -->
   <div class="section-margin-top">
      <div class="container">
         <div class="section-header">
            <h2><?php the_field('company_heading_1');?></h2>
         </div>
         <div class="about-content">
            <h6><span></span><?php the_field('heading_2');?> </h6>
            <p><?php the_field('company_content');?></p>
         </div>
      </div>
   </div>

   <!-- Why Choose Us -->
   <div class="section-margin-top section-padding choose-us">
      <div class="container">
         <div class="row g-lg-5">
            <div class="col-lg-5 col-12 mb-lg-0 mb-4">
               <div class="choose-us-left">
                  <h2><?php the_field('heading_3');?></h2>
                  <p><?php the_field('why_us_content');?></p>
                  <a href="#" class="btn secondary-btn" data-bs-toggle="modal" data-bs-target="#exampleModal">Free
                     Consultation</a>
               </div>
            </div>
            <div class="col-lg-7 col-12">
               <div class="choose-us-right">
                  <div class="choose-us-right-container">
                     <div class="swiper mySwiper choose-us-slider">
                        <div class="swiper-wrapper">
                             <?php
            $xx = 1;
                if ( have_rows('image_slider') ):
                    while ( have_rows('image_slider') ) : the_row(); 
            ?>
                           <div class="swiper-slide">
                              <div class="choose-us-item">
                                 <div class="choose-us-item-img">
                                    <img src="<?php the_sub_field('s_image');?>" alt="">
                                 </div>
                                 <div class="choose-us-item-content">
                                    <h6><?php the_sub_field('project_name');?></h6>
                                    <p><?php the_sub_field('project_content');?></p>
                                 </div>
                              </div>
                           </div>
                            <?php
                $xx++;
                    endwhile;
                else :
                    // Handle case where no rows are found
                endif;
                ?>
                           
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-2.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Experienced Team</h6>-->
                           <!--         <p>Our team of licensed and insured professionals brings decades of combined-->
                           <!--            experience-->
                           <!--            to-->
                           <!--            every-->
                           <!--            project.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-3.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Customer-Centric Approach</h6>-->
                           <!--         <p>Your satisfaction is our top priority. We work closely with you throughout the-->
                           <!--            entire-->
                           <!--            process,-->
                           <!--            from initial consultation to final inspection, to ensure your vision is brought-->
                           <!--            to-->
                           <!--            life.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-4.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Transparent Pricing</h6>-->
                           <!--         <p>We offer competitive pricing with no hidden fees. Our detailed estimates provide-->
                           <!--            a-->
                           <!--            clear-->
                           <!--            understanding of the costs involved, so you can make informed decisions.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-5.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Sustainability</h6>-->
                           <!--         <p>We are committed to environmentally-friendly practices and use sustainable-->
                           <!--            materials-->
                           <!--            whenever-->
                           <!--            possible to reduce our carbon footprint.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                        </div>
                        <div class="swiper-pagination"></div>
                     </div>
                  </div>

               </div>
            </div>
         </div>
      </div>
   </div>

   <!-- Stats -->
   <div class="section-margin-top">
      <div class="container">
         <div class="row g-md-4 g-3">
            <div class="col-md-3 col-6 stat-card-col">
               <div class="stat-card">
                  <span><?php the_field('experience');?>+</span>
                  <p>Years of Experience</p>
               </div>
            </div>
            <div class="col-md-3 col-6 stat-card-col">
               <div class="stat-card">
                  <span><?php the_field('projects');?>+</span>
                  <p>Completed Projects</p>
               </div>
            </div>
            <div class="col-md-3 col-6 stat-card-col">
               <div class="stat-card">
                  <span><?php the_field('clients');?>+</span>
                  <p>Happy Clients</p>
               </div>
            </div>
            <div class="col-md-3 col-6 stat-card-col">
               <div class="stat-card">
                  <span><?php the_field('areas');?>+</span>
                  <p>Service Areas</p>
               </div>
            </div>
         </div>
      </div>
   </div>

   <!-- Client Testimonials -->
   <div class="section-margin-top testimonials">
      <div class="container">
         <div class="section-header section-header-center">
            <h2><?php the_field('client_testi_heading');?></h2>
         </div>
         <div class="swiper mySwiper testimonial-slider">
            <div class="swiper-wrapper">
                
                 <?php $args = array( 'post_type' => 'testimonials', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
          
               <div class="swiper-slide">
                  <div class="testimonial-card">
                     <h6><?php the_title();?></h6>
                     <div class="testimonial-rating">
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                     </div>
                     <p>
                        <?php the_content();?>
                     </p>
                  </div>
               </div>
               <?php endwhile; endif; wp_reset_postdata(); ?>
               
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Bahar Partou</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         Fantastic team with warm attitude, great taste and attention to details. We felt we are in good-->
               <!--         hands working with them. They are all very nice, supportive and helpful and tried to get as-->
               <!--         close as possible to our vision and provided valuable insights and suggestions that truly-->
               <!--         elevated our project. I would highly recommend them to anyone looking for top-notch renovation-->
               <!--         services. Thank you to the entire team. Well done!-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Bahar Bahary</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         I highly recommend Violet custom build and renovation for any construction or renovation-->
               <!--         projects. Ali has undertaken a full renovation for my house twice, showcasing exceptional-->
               <!--         organizational skills, punctuality, and reliability. He's easy to work with, always prioritizing-->
               <!--         my interests and budget. His positive attitude, professionalism and dedication make him a top-->
               <!--         choice for building a house or any renovation needs.-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Maryam Yazdani</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         We had an exceptional experience with Violet Custom company. They completely renovated our house-->
               <!--         from top to bottom, and we couldn't be happier with the results. Their team demonstrated extreme-->
               <!--         professionalism, delivering excellent work within our budget and completing the project on-->
               <!--         schedule.-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Amir Ahmadkhah</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         Amazing experience working with Violet Custom Build and Renovation. They have recently renovated-->
               <!--         my home and have completely transformed the space. The team has lots of experience and are very-->
               <!--         good at what they do. Would definitely recommend if you are looking for a team who will listen-->
               <!--         and deliver exactly what you want!-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Nona Akhavan</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         Violet Company did an outstanding job renovating my home. They were professional, punctual, and-->
               <!--         delivered exceptional results. I highly recommend them for anyone seeking reliable and skilled-->
               <!--         renovation services.-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
            </div>
            <div class="swiper-pagination"></div>
         </div>
      </div>
   </div>


<?php get_footer(); ?>
 