<?php 
/*
Template Name:Gallery Page
*/ 
get_header(); ?>

 <!-- Banner -->
 <div class="rest-banner">
      <img src="<?php the_post_thumbnail_url();?>" alt="">
      <div class="rest-content">
         <span><?php the_title();?></span>
      </div>
   </div>

   <!-- Gallery Section -->
   <div class="section-margin-top gallery">
      <div class="container">
         <div class="section-header section-header-center">
            <h2><?php the_field('gallery_heading');?></h2>
         </div>
         <div class="row g-xxl-4 g-3">
              <?php $args = array( 'post_type' => 'gallery', 'posts_per_page'=>-1, 'order' => 'ASC' ); 
                $query = new WP_Query( $args ); 
                if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
              ?>
            <div class="col-md-4 col-6">
               <a href="<?php the_post_thumbnail_url();?>" data-lightbox="roadtrip">
                  <img src="<?php the_post_thumbnail_url();?>" alt="">
               </a>
            </div>
             <?php endwhile; endif; wp_reset_postdata(); ?>
             
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-2.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-2.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-3.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-3.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-4.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-4.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-5.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-5.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-6.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-6.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-7.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-7.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-8.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-8.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-9.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-9.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-10.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-10.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-11.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-11.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-12.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-12.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-13.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-13.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-14.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-14.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-md-4 col-6">-->
            <!--   <a href="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-15.jpg" data-lightbox="roadtrip">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-15.jpg" alt="">-->
            <!--   </a>-->
            <!--</div>-->
         </div>
      </div>
   </div>

<?php get_footer(); ?>
