<?php 
/*
Template Name:Home Front Page
*/ 
get_header(); ?>
 
 <!-- Hero -->
 <div class="hero">
      <div class="video-container">
         <video src="<?php the_field('banner_video');?>" data-origwidth="0" data-origheight="0" autoplay muted playsinline
            loop></video>
      </div>
      <div class="hero-content">
         <div class="container">
            <div class="hero-content-container">
               <div class="hero-content-main">
                  <h1><?php the_field('banner_heading');?></h1>
                  <div class="hero-btn-container">
                     <a href="<?php the_field('instagram','option');?>" class="play-btn" target="_blank">Watch
                        Video <i class="ri-play-circle-line"></i></a>
                     <a href="#" class="btn primary-btn" data-bs-toggle="modal" data-bs-target="#exampleModal">Free
                        Consulation</a>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <div class='hero-bottom-container'>
          <div class='container'>
              <div class="hero-bottom-content">
                  <!--<p><php the_field('banner_content');?></p>-->
                  <div class="hero-social">
                     <a href="<?php the_field('facebook','option');?>" target="_blank"><i
                        class='bx bxl-facebook'></i></a>
                      <a href="<?php the_field('instagram','option');?>" target="_blank"><i
                        class='bx bxl-instagram'></i></a>
                     <a href="<?php the_field('whatsapp','option');?>" target="_blank"><i class='bx bxl-whatsapp'></i></a>
                     <a href="<?php the_field('youtube','option');?>" target="_blank"><i class='bx bxl-youtube'></i></a>
                  </div>
               </div>
          </div>
      </div>
   </div>
   
   <!-- Services -->
   <div class="section-margin-top services pt-xxl-3 pt-3">
      <div class="container">
         <div class="section-header services-header">
            <h2><?php the_field('service_heading');?></h2>
            <hr>
            <!-- <p>From kitchen and bathroom remodels to complete home renovations, our comprehensive services cover every
               aspect of your project. Whether you're looking to update a single room or undertake a major overhaul, our
               team of skilled professionals is equipped to handle projects with all complexities. Our services include:
            </p> -->
         </div>
         <div class="row g-xxl-4 g-3">
             
                 <?php $args = array( 'post_type' => 'products', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
             
            <div class="col-lg-4 col-sm-6 col-12">
               <a href="<?php echo the_permalink();?>">
                  <div class="service-card">
                      <img src="<?php the_post_thumbnail_url();?>" alt="">
                     <div class="service-card-content">
                        <h6><?php the_title();?></h6>
                        <p><?php the_content();?></p>
                     </div>
                  </div>
               </a>
            </div>
            
             <?php endwhile; endif; wp_reset_postdata(); ?>
             
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-2.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Bathroom Remodeling</h6>-->
            <!--            <p>Upgrade your bathroom into a stylish and functional retreat.</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-3.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Commercial Renovations</h6>-->
            <!--            <p>Expert commercial renovation transforms your space for a lasting impact!</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-4.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Home Additions</h6>-->
            <!--            <p>Enhance your home’s space and value with beautiful home additions.</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-5.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Home Renovation</h6>-->
            <!--            <p>Revamp your home: stylish upgrades and fresh spaces await you!</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-6.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Kitchen Renovations</h6>-->
            <!--            <p>Revitalize your kitchen with modern design and cutting-edge function!</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
         </div>
      </div>
   </div>

   <!-- Why Choose Us -->
   <div class="section-margin-top section-padding choose-us">
      <div class="container">
         <div class="row g-lg-5">
            <div class="col-lg-5 col-12 mb-lg-0 mb-5">
               <div class="choose-us-left">
                  <h2><?php the_field('heading_3',9);?></h2>
                  <p><?php the_field('why_us_content',9);?></p>
                  <a href="#" class="btn secondary-btn" data-bs-toggle="modal" data-bs-target="#exampleModal">Free
                     Consultation</a>
               </div>
            </div>
            <div class="col-lg-7 col-12">
               <div class="choose-us-right">

                  <div class="choose-us-right-container">
                     <div class="swiper mySwiper choose-us-slider">
                        <div class="swiper-wrapper">
                               <?php
            $xx = 1;
                if ( have_rows('image_slider',9) ):
                    while ( have_rows('image_slider',9) ) : the_row(); 
            ?>
                            
                           <div class="swiper-slide">
                              <div class="choose-us-item">
                                 <div class="choose-us-item-img">
                                    <img src="<?php the_sub_field('s_image',9);?>" alt="">
                                 </div>
                                 <div class="choose-us-item-content">
                                    <h6><?php the_sub_field('project_name',9);?></h6>
                                    <p><?php the_sub_field('project_content',9);?></p>
                                 </div>
                              </div>
                           </div>
                           
  <?php
                $xx++;
                    endwhile;
                else :
                    // Handle case where no rows are found
                endif;
                ?>
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-2.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Experienced Team</h6>-->
                           <!--         <p>Our team of licensed and insured professionals brings decades of combined-->
                           <!--            experience-->
                           <!--            to-->
                           <!--            every-->
                           <!--            project.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-3.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Customer-Centric Approach</h6>-->
                           <!--         <p>Your satisfaction is our top priority. We work closely with you throughout the-->
                           <!--            entire-->
                           <!--            process,-->
                           <!--            from initial consultation to final inspection, to ensure your vision is brought-->
                           <!--            to-->
                           <!--            life.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-4.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Transparent Pricing</h6>-->
                           <!--         <p>We offer competitive pricing with no hidden fees. Our detailed estimates provide-->
                           <!--            a-->
                           <!--            clear-->
                           <!--            understanding of the costs involved, so you can make informed decisions.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                           <!--<div class="swiper-slide">-->
                           <!--   <div class="choose-us-item">-->
                           <!--      <div class="choose-us-item-img">-->
                           <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-5.jpg" alt="">-->
                           <!--      </div>-->
                           <!--      <div class="choose-us-item-content">-->
                           <!--         <h6>Sustainability</h6>-->
                           <!--         <p>We are committed to environmentally-friendly practices and use sustainable-->
                           <!--            materials-->
                           <!--            whenever-->
                           <!--            possible to reduce our carbon footprint.</p>-->
                           <!--      </div>-->
                           <!--   </div>-->
                           <!--</div>-->
                        </div>
                        <div class="swiper-pagination"></div>
                     </div>
                  </div>

               </div>
            </div>
         </div>
      </div>
   </div>

   <!-- Client Testimonials -->
   <div class="section-margin-top testimonials">
      <div class="container">
         <div class="section-header section-header-center">
            <h2><?php the_field('testi_heading');?></h2>
         </div>
         <div class="swiper mySwiper testimonial-slider">
            <div class="swiper-wrapper">
                
                 <?php $args = array( 'post_type' => 'testimonials', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
          
               <div class="swiper-slide">
                  <div class="testimonial-card">
                     <h6><?php the_title();?></h6>
                     <div class="testimonial-rating">
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                        <i class="ri-star-fill"></i>
                     </div>
                     <p>
                        <?php the_content();?>
                     </p>
                  </div>
               </div>
               <?php endwhile; endif; wp_reset_postdata(); ?>
               
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Bahar Partou</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         Fantastic team with warm attitude, great taste and attention to details. We felt we are in good-->
               <!--         hands working with them. They are all very nice, supportive and helpful and tried to get as-->
               <!--         close as possible to our vision and provided valuable insights and suggestions that truly-->
               <!--         elevated our project. I would highly recommend them to anyone looking for top-notch renovation-->
               <!--         services. Thank you to the entire team. Well done!-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Bahar Bahary</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         I highly recommend Violet custom build and renovation for any construction or renovation-->
               <!--         projects. Ali has undertaken a full renovation for my house twice, showcasing exceptional-->
               <!--         organizational skills, punctuality, and reliability. He's easy to work with, always prioritizing-->
               <!--         my interests and budget. His positive attitude, professionalism and dedication make him a top-->
               <!--         choice for building a house or any renovation needs.-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Maryam Yazdani</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         We had an exceptional experience with Violet Custom company. They completely renovated our house-->
               <!--         from top to bottom, and we couldn't be happier with the results. Their team demonstrated extreme-->
               <!--         professionalism, delivering excellent work within our budget and completing the project on-->
               <!--         schedule.-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Amir Ahmadkhah</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         Amazing experience working with Violet Custom Build and Renovation. They have recently renovated-->
               <!--         my home and have completely transformed the space. The team has lots of experience and are very-->
               <!--         good at what they do. Would definitely recommend if you are looking for a team who will listen-->
               <!--         and deliver exactly what you want!-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
               <!--<div class="swiper-slide">-->
               <!--   <div class="testimonial-card">-->
               <!--      <h6>Nona Akhavan</h6>-->
               <!--      <div class="testimonial-rating">-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--         <i class="ri-star-fill"></i>-->
               <!--      </div>-->
               <!--      <p>-->
               <!--         Violet Company did an outstanding job renovating my home. They were professional, punctual, and-->
               <!--         delivered exceptional results. I highly recommend them for anyone seeking reliable and skilled-->
               <!--         renovation services.-->
               <!--      </p>-->
               <!--   </div>-->
               <!--</div>-->
            </div>
            <div class="swiper-pagination"></div>
         </div>
      </div>
   </div>


   <?php get_footer(); ?>