<?php 
/*
Template Name:Projects Page
*/ 
get_header(); ?>


<!-- Banner -->
<div class="rest-banner">
      <img src="<?php the_post_thumbnail_url();?>" alt="">
      <div class="rest-content">
         <span><?php the_title();?></span>
      </div>
   </div>

   <!-- Services -->
   <div class="section-margin-top services">
      <div class="container">
         <div class="section-header section-header-center">
            <h2><?php the_field('project_heading');?></h2>
         </div>
         <div class="row g-xxl-4 g-3">
             
                 <?php $args = array( 'post_type' => 'products', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
             
            <div class="col-lg-4 col-sm-6 col-12">
               <a href="<?php echo the_permalink();?>">
                  <div class="service-card">
                     <img src="<?php the_post_thumbnail_url();?>" alt="">
                     <div class="service-card-content">
                        <h6><?php the_title();?></h6>
                        <p><?php the_content();?></p>
                     </div>
                  </div>
               </a>
            </div>
            
             <?php endwhile; endif; wp_reset_postdata(); ?>
             
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-2.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Bathroom Remodeling</h6>-->
            <!--            <p>Upgrade your bathroom into a stylish and functional retreat.</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-3.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Commercial Renovations</h6>-->
            <!--            <p>Expert commercial renovation transforms your space for a lasting impact!</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-4.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Home Additions</h6>-->
            <!--            <p>Enhance your home’s space and value with beautiful home additions.</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-5.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Home Renovation</h6>-->
            <!--            <p>Revamp your home: stylish upgrades and fresh spaces await you!</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <a href="project-inner.html">-->
            <!--      <div class="service-card">-->
            <!--         <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/service-6.jpg" alt="">-->
            <!--         <div class="service-card-content">-->
            <!--            <h6>Kitchen Renovations</h6>-->
            <!--            <p>Revitalize your kitchen with modern design and cutting-edge function!</p>-->
            <!--         </div>-->
            <!--      </div>-->
            <!--   </a>-->
            <!--</div>-->
         </div>
      </div>
   </div>

<?php get_footer(); ?>