const navigation = document.querySelector('.navigation');
const sidebar = document.querySelector('.nav-link-container');
const menuBtn = document.querySelector('.menu-btn');
const menuCloseBtn = document.querySelector('.menu-close-btn');
// const scrollBtn = document.querySelector('.scroll-to-top');

menuBtn.addEventListener('click', () => {
   sidebar.style.left = 0;
   sidebar.style.right = 0;
});

menuCloseBtn.addEventListener('click', () => {
   sidebar.style.left = '-100%';
   sidebar.style.right = '100%';
});


window.addEventListener('scroll', () => {
   if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      navigation.classList.add('navigation-scrolled');
      // scrollBtn.style.display = 'flex';
   } else {
      navigation.classList.remove('navigation-scrolled');
      // scrollBtn.style.display = 'none';
   }
});

// scrollBtn.addEventListener('click', () => {
//    document.body.scrollTop = 0;
//    document.documentElement.scrollTop = 0;
// });

// Slider
// var swiper = new Swiper(".text-slider", {
//    slidesPerView: 'auto',
//    loop: true,
//    speed: 35000,
//    autoplay: {
//       delay: 0,
//       disableOnInteraction: false
//    }
// });

var swiper = new Swiper(".choose-us-slider", {
   slidesPerView: 1,
   spaceBetween: 24,
   loop: true,
   autoplay: {
      delay: 3000,
      disableOnInteraction: false
   },
   effect: "fade",
   pagination: {
      el: ".swiper-pagination",
      clickable: true
   }
});

var swiper = new Swiper(".testimonial-slider", {
   slidesPerView: 3,
   loop: true,
   pagination: {
      el: ".swiper-pagination",
      clickable: true
   },
   breakpoints: {
      0: {
         slidesPerView: 1,
         spaceBetween: 16
      },
      575: {
         slidesPerView: 2,
         spaceBetween: 16
      },
      768: {
         slidesPerView: 2,
         spaceBetween: 16
      },
      992: {
         slidesPerView: 3,
         spaceBetween: 16
      },
      1200: {
         slidesPerView: 3,
         spaceBetween: 16
      },
      1400: {
         slidesPerView: 3,
         spaceBetween: 24
      }
   }
});

// var swiper = new Swiper(".top-categories-slider", {
//    slidesPerView: 1,
//    loop: true,
//    spaceBetween: 16,
//    autoplay: {
//       delay: 6000,
//       disableOnInteraction: false
//    },
//    pagination: {
//       el: ".swiper-pagination",
//       clickable: true
//    },
//    breakpoints: {
//       0: {
//          slidesPerView: 1,
//          spaceBetween: 16
//       },
//       575: {
//          slidesPerView: 1,
//          spaceBetween: 16
//       },
//       768: {
//          slidesPerView: 1,
//          spaceBetween: 24
//       },
//       992: {
//          slidesPerView: 2,
//          spaceBetween: 40
//       },
//       1200: {
//          slidesPerView: 2,
//          spaceBetween: 50
//       },
//       1400: {
//          slidesPerView: 2,
//          spaceBetween: 75
//       }
//    }
// });

// var swiper = new Swiper(".featured-products-slider", {
//    slidesPerView: 1,
//    spaceBetween: 16,
//    loop: true,
//    autoplay: {
//       delay: 5000,
//       disableOnInteraction: false
//    },
//    pagination: {
//       el: ".swiper-pagination",
//       clickable: true
//    },
//    breakpoints: {
//       0: {
//          slidesPerView: 2,
//          spaceBetween: 16
//       },
//       575: {
//          slidesPerView: 2,
//          spaceBetween: 16
//       },
//       768: {
//          slidesPerView: 3,
//          spaceBetween: 16
//       },
//       992: {
//          slidesPerView: 4,
//          spaceBetween: 16
//       },
//       1200: {
//          slidesPerView: 4,
//          spaceBetween: 16
//       },
//       1400: {
//          slidesPerView: 4,
//          spaceBetween: 24
//       }
//    }
// });

// var swiper = new Swiper(".testimonial-slider", {
//    slidesPerView: 2,
//    loop: true,
//    spaceBetween: 16,
//    autoplay: {
//       delay: 5000,
//       disableOnInteraction: false
//    },
//    pagination: {
//       el: ".swiper-pagination",
//       clickable: true
//    },
//    breakpoints: {
//       0: {
//          slidesPerView: 1,
//          spaceBetween: 16
//       },
//       575: {
//          slidesPerView: 1,
//          spaceBetween: 16
//       },
//       768: {
//          slidesPerView: 1,
//          spaceBetween: 16
//       },
//       992: {
//          slidesPerView: 2,
//          spaceBetween: 32
//       },
//       1200: {
//          slidesPerView: 2,
//          spaceBetween: 40
//       },
//       1400: {
//          slidesPerView: 2,
//          spaceBetween: 75
//       }
//    }
// });

// Stat Counter
// if (
//    window.location.pathname === '/index.html' ||
//    window.location.pathname === '/' ||
//    window.location.pathname === '/design0015/onqanet/index.html' ||
//    window.location.pathname === '/design0015/onqanet/' ||
//    window.location.pathname === '/about.html' ||
//    window.location.pathname === '/design0015/onqanet/about.html'
// ) {
//    var counted = 0;
//    $(window).scroll(function () {
//       var oTop = $('#counter').offset().top - window.innerHeight;
//       if (counted == 0 && $(window).scrollTop() > oTop) {
//          $('.count').each(function () {
//             var $this = $(this),
//                countTo = $this.attr('data-count');
//             $({
//                countNum: $this.text()
//             }).animate({
//                countNum: countTo
//             },
//                {
//                   duration: 2000,
//                   easing: 'swing',
//                   step: function () {
//                      $this.text(Math.floor(this.countNum));
//                   },
//                   complete: function () {
//                      $this.text(this.countNum);
//                   }
//                });
//          });
//          counted = 1;
//       }
//    });
// }