<?php 
/*
Template Name:Blog Page
*/ 
get_header(); ?>

  <!-- Banner -->
  <div class="rest-banner">
      <img src="<?php the_post_thumbnail_url();?>" alt="">
      <div class="rest-content">
         <span><?php the_title();?></span>
      </div>
   </div>

   <div class="section-margin-top">
      <div class="container">
         <div class="section-header section-header-center">
            <h2><?php the_field('blog_heading');?></h2>
         </div>
         <div class="row g-4">
             
             
                 <?php $args = array( 'post_type' => 'post', 'posts_per_page', '-1', 'order' => 'ASC' ); 
            $query = new WP_Query( $args ); 
            if ( $query->have_posts() ) :  while ( $query->have_posts() ) : $query->the_post();
          ?>
             
            <div class="col-lg-4 col-sm-6 col-12">
               <div class="blog-card">
                  <img src="<?php the_post_thumbnail_url();?>" alt="">
                  <div class="blog-content">
                     <h6 class="text-wrap-2"><?php the_title();?></h6>
                     <p class="date-info"><?php the_field('date','option');?></p>
                     <p class="text-wrap-3"><?php the_content();?>
                     </p>
                     <a href="<?php echo the_permalink();?>">Read More</a>
                  </div>
               </div>
            </div>
            
             <?php endwhile; endif; wp_reset_postdata(); ?>
            
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <div class="blog-card">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-1.jpg" alt="">-->
            <!--      <div class="blog-content">-->
            <!--         <h6 class="text-wrap-2">Affordable Renovation Service : Get The Best Basement Renovation in Toronto-->
            <!--            2024</h6>-->
            <!--         <p class="date-info">Monday July 8, 2024</p>-->
            <!--         <p class="text-wrap-3">Understand more about the hidden potential of your basement. Research and-->
            <!--            opt-->
            <!--            for the top basement renovation Toronto 2024. If you are looking to convert your basement area-->
            <!--            into-->
            <!--            entertainment havens or functional in-laws suites then go for basement renovation in Toronto.-->
            <!--         </p>-->
            <!--         <a href="blog-inner.html">Read More</a>-->
            <!--      </div>-->
            <!--   </div>-->
            <!--</div>-->
            <!--<div class="col-lg-4 col-sm-6 col-12">-->
            <!--   <div class="blog-card">-->
            <!--      <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/violet-assets/images/gallery/img-1.jpg" alt="">-->
            <!--      <div class="blog-content">-->
            <!--         <h6 class="text-wrap-2">Affordable Renovation Service : Get The Best Basement Renovation in Toronto-->
            <!--            2024</h6>-->
            <!--         <p class="date-info">Monday July 8, 2024</p>-->
            <!--         <p class="text-wrap-3">Understand more about the hidden potential of your basement. Research and-->
            <!--            opt-->
            <!--            for the top basement renovation Toronto 2024. If you are looking to convert your basement area-->
            <!--            into-->
            <!--            entertainment havens or functional in-laws suites then go for basement renovation in Toronto.-->
            <!--         </p>-->
            <!--         <a href="blog-inner.html">Read More</a>-->
            <!--      </div>-->
            <!--   </div>-->
            <!--</div>-->
         </div>
      </div>
   </div>


<?php get_footer(); ?>