<?php 
/*
Template Name:Contact Page
*/ 
get_header(); ?>

 <!-- Banner -->
 <div class="rest-banner">
      <img src="<?php the_post_thumbnail_url();?>" alt="">
      <div class="rest-content">
         <span><?php the_title();?></span>
      </div>
   </div>

   <!-- Contact Us -->
   <div class="section-margin contact-section">
      <div class="container">
         <div class="section-header section-header-center">
            <h2><?php the_field('contact_heading');?></h2>
         </div>
         <div class="row contact-us g-4">
            <div class="col-lg-5 col-12">
               <div class="contact-page-info">
                  <div class="contact-info-header">
                     <h4><?php the_field('sub_heading');?></h4>
                     <p><?php the_field('sub_heading_1');?></p>
                  </div>
                  <div class="contact-info-content">
                     <a href="#"><i class='bx bxs-map'></i><?php the_field('address');?></a>
                     <a href="mailto:<?php the_field('email','option');?>"><i class='bx bxs-envelope'></i><?php the_field('email','option');?></a>
                     <a href="callto:<?php the_field('contact','option');?>"><i class='bx bxs-phone'></i><?php the_field('contact','option');?></a>
                  </div>
                  <div class="contact-page-social">
                     <a href="<?php the_field('facebook','option');?>" target="_blank"><i
                           class='bx bxl-facebook'></i></a>
                     <a href="<?php the_field('instagram','option');?> target="_blank"><i
                           class='bx bxl-instagram'></i></a>
                     <a href="<?php the_field('whatsapp','option');?>" target="_blank"><i class='bx bxl-whatsapp'></i></a>
                     <a href="<?php the_field('youtube','option');?>" target="_blank"><i class='bx bxl-youtube'></i></a>
                  </div>
               </div>
            </div>
            <div class="col-lg-7 col-12">
               <div class="map">
                  <?php the_field('map');?>
               </div>
            </div>
         </div>
      </div>
   </div>

   <div class="contact-us-form-outer">
      <div class="contact-us-form-container">
         <h4>Send us a message</h4>
          <?php echo do_shortcode('[contact-form-7 id="9d20798" title="Contact form 1"]');?>
         <!--<form class="contact-us-form" >-->
         <!--   <div class="row mb-xxl-0 mb-3">-->
         <!--      <div class="col-sm-6 col-12 mb-sm-0 mb-xxl-4 mb-3">-->
         <!--         <input type="text" class="form-control" id="name" aria-describedby="name" placeholder="Full Name">-->
         <!--      </div>-->
         <!--      <div class="col-sm-6 col-12">-->
         <!--         <input type="email" class="form-control" id="email" aria-describedby="email" placeholder="Email">-->
         <!--      </div>-->
         <!--   </div>-->
         <!--   <input type="text" class="form-control mb-xxl-4 mb-3" id="phone" aria-describedby="phone"-->
         <!--      placeholder="Phone">-->
         <!--   <textarea name="message" id="" cols="30" rows="4" class="form-control" placeholder="Message"></textarea>-->
         <!--   <div class="contact-us-btn-container mt-xxl-4 mt-3">-->
         <!--      <button class="btn primary-btn">Submit</button>-->
         <!--   </div>
         <!--</div>-->
         <!--</form>-->
    
      </div>
   </div>

<?php get_footer(); ?>